import { Criteria } from "selectively";
import { Order } from "@payfunc/model";
export declare class PayfuncOrders {
  orders?: Order[];
  ordersFiltered?: Order[];
  selected: {
    [id: string]: Order | undefined;
  };
  filter?: Criteria;
  display: boolean;
  receipt?: boolean;
  componentWillLoad(): void;
  updateOrders(orders?: Order[]): void;
  handleFilterChanged(event: CustomEvent<Order[]>): void;
  handleSelectedChanged(event: CustomEvent<{
    [id: string]: Order | undefined;
  }>): void;
  render(): any;
}
